/* Import Inter font from Google Fonts */

@import url('https://fonts.googleapis.com/css2?family=Faculty+Glyphic&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
/* General Styles */
body {
    margin: 0;
    font-family: 'Inter', 'Segoe UI', sans-serif;
    background-color: #120229;
    color: #f5f6fa;
    position: relative;
    overflow-x: hidden;
    min-width: 80%;
}

main{
    overflow: hidden;
    position: relative;
}

.color1 {
    height: 100px;
    width: 100px;
    background-image: radial-gradient(closest-side, rgba(115, 0, 255, 0.022), #1a1a2e00);
    position: absolute;
    top: -470px;
    left: -35%;
    z-index: -1;
}

.color2 {
    height: 1200px;
    width: 1200px;
    background-image: radial-gradient(closest-side, rgba(128, 49, 255, 0.318), #1a1a2e00);
    position: absolute;
    top: 970px;
    left: 60%;
    z-index: -1;
    overflow: hidden;
}

.color5 {
    height: 1200px;
    width: 1200px;
    background-image: radial-gradient(closest-side, rgba(128, 49, 255, 0.318), #1a1a2e00);
    position: absolute;
    top: 1770px;
    left: -30%;
    z-index: -1;
    overflow: hidden;
}

.color6 {
    height: 1200px;
    width: 1200px;
    background-image: radial-gradient(closest-side, rgba(128, 49, 255, 0.318), #1a1a2e00);
    position: absolute;
    top: 2200px;
    left: 60%;
    z-index: -1;
    overflow: hidden;
}

.color3 {
    height: 1200px;
    width: 1200px;
    background-image: radial-gradient(closest-side, rgba(178, 0, 184, 0.445), #281a2e00);
    position: absolute;
    top: 2770px;
    left: 2%;
    z-index: -1;
    overflow: hidden;
}

.color4 {
    height: 1200px;
    width: 1200px;
    background-image: radial-gradient(closest-side, rgba(196, 0, 160, 0.318), #1a1a2e00);
    position: absolute;
    top: 3670px;
    left: 60%;
    z-index: -1;
    overflow: hidden;
}
.color7 {
    height: 1200px;
    width: 1200px;
    background-image: radial-gradient(closest-side, rgba(134, 0, 196, 0.709), #1a1a2e00);
    position: absolute;
    top: 4270px;
    left: -40%;
    z-index: -1;
    overflow: hidden;
}
.color8 {
    height: 1200px;
    width: 1200px;
    background-image: radial-gradient(closest-side, rgba(85, 0, 196, 0.318), #1a1a2e00);
    position: absolute;
    top: 4870px;
    left: 50%;
    z-index: -1;
    overflow: hidden;
}



/* From Uiverse.io by joe-watson-sbf */ 
.container {
    color: white;
    position: relative;
   
  }
  
  .container::before,
  .container::after {
    content: "";
    background-color: #fab5704c;
    position: absolute;
  }
  
  .container::before {
    border-radius: 50%;
    width: 6rem;
    height: 6rem;
    top: 30%;
    right: 7%;
  }
  
  .container::after {
    content: "";
    position: absolute;
    height: 3rem;
    top: 8%;
    right: 5%;
    border: 1px solid;
  }
  
  .container .box {
    margin: 5%;
    width: auto;
    height: auto;
    padding: 1rem;
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    border-radius: 0.7rem;
    transition: all ease 0.3s;
  }
  
  .container .box {
    left: 60rem;
    top: 30rem;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  
  .container .box div p {
    margin: 0;
    font-size: 0.9em;
    font-weight: 100;
    letter-spacing: 0.1em;
  }
  
  .container .box div span {
    font-size: 0.7rem;
    font-weight: 300;
  }
  
  .container .box div span:nth-child(3) {
    font-weight: 500;
    margin-right: 0.2rem;
  }
  
  .container .box:hover {
    box-shadow: 0px 0px 20px 1px #ffbb763f;
    border: 1px solid rgba(255, 255, 255, 0.454);
  }
  




.firstmain{
    -webkit-backdrop-filter: blur(degree-of-blur);
    backdrop-filter: blur(degree-of-blur);
}
.main-img{
    position: relative;
    object-fit: cover;
    width: 100vw;
    overflow: hidden;
    
}
.main-img video{
    object-fit: cover;
    width: 101vw;
    -webkit-backdrop-filter: blur(degree-of-blur);
    backdrop-filter: blur(degree-of-blur);
}
.overlay-img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(rgba(255, 0, 0, 0),#ffffff00,#ffffff00,#ffffff00,#ffffff00,#120229e0, #120229);
    
    pointer-events: none;
}
section {
    margin: 0% 16%;
    padding: 50px 0;
}

.mainCard0 {
    display: flex;
    align-items: center;
    justify-content: center;
    
}

.card {
    width: 90vw;
    height: auto;
    padding: 0.9px;
    border-radius: 0.7rem;
    overflow: visible;
    background-image: conic-gradient(#e440bb00,
            #29dbbd00,
            #e440bb48,
            #ff9f0e00,
            #e440bb00,
            #e440bb48,
            #488dfb00);

    position: relative;
    filter: drop-shadow(0px 0px 30px rgba(209, 38, 197, 0.5));
    z-index: 1;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: 10px;
}

.card-info {
    --color: #1f1a1dc0;
    background: var(--color);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    overflow: visible;
    border-radius: 0.7rem;
    
}

.cardContent {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
    padding: 10vw;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: 10px;
}

/*Hover*/
.card:hover::after {
    opacity: 0.6;
    padding: 0.7rem 0;
    top: 18px;
    transition: 0.6s;
}

.card:hover .card-info {
    color: #fff9f9;
    transition: color 1s;
}

.card-section {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    align-items: center;
    gap: 2rem;
}

.logo-img1{
    width: 40vw;
}


.cardbdr {
    width: 326px;
    height: 416px;
    background-image: conic-gradient(#e440bb00,
            #29dbbd00,
            #e440bb,
            #ff9f0e00,
            #e440bb00,
            #e440bb,
            #488dfb00);
    padding: 2px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    position: relative;
}

.cCard {
    position: relative;
    width: 266px;
    height: 396px;
    background-color: #060014dc;
    border-radius: 10px;
    display: flex;
    padding: 10px 30px;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);

}

.heading {
    font-size: 24px;
    font-weight: 700;
    color: #ffffff;
}

.para {
    text-align: center;
    color: #ffffff;
    opacity: 0.5;

}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.6);
    transition: opacity 0.3s ease;
    pointer-events: none;
}

.navigation{
    display: flex;
    justify-content: center;
}

.navi-box{
    display: flex;
    gap: 5vw;
    padding: 2px 5vw;
    border-radius: 50px;
    background-color: #1212123c;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: 10px;
    margin-top:5%;
    margin-bottom: 5%;
}

.navi-box h2{
    font-family: "inter";
    font-weight: 300;
    font-size: 1.5vw;
    
}
.cCard:hover .overlay {
    opacity: 1;
    pointer-events: auto;
}

.cCard .card-btn {
    position: absolute;
    top: 50%;
    left: 50%;
    font-weight: 600;
    padding: 10px 30px;
    font-size: 16px;
    transform: translate(-50%, -50%);
    background-color: #9e00d3af;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 999;
    border: none;
    opacity: 0;
    scale: 0;
    transform-origin: 0 0;
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0);
    transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
    color: #f0e5d8;
}

.cCard:hover .card-btn {
    opacity: 1;
    scale: 1;
}

.cCard .card-btn:hover {
    box-shadow: 0 0 0px 5px rgba(0, 0, 0, 0.3);
}

.cCard .card-btn:active {
    scale: 0.95;
}

.overlay::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    width: 100%;
    height: 100%;
    background-image: linear-gradient(-45deg, #000000da 0%, #25252580 100%);
    transition: transform 0.5s ease;
}

.cCard:hover .overlay::after {
    transform: translate(-50%, -50%) scale(2);
}

.cCard h1,
p {
    margin: 0;
}
.cCard p{
    opacity: 50%;
}

.img2 {
    height: 75%;
}

.grid {
    display: flex;
    flex-direction: row;
}

.leftHS {
    width: 25vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

.middle {
    display: flex;
    width: 50vw;
    align-content: center;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap;
    text-align: center;
    padding: 16px;
}

.middle p {
    padding: 3rem 0px;
    font-size: auto;
}

.rightHS {
    width: 25vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

.human-img{
    width: 24vw;
    max-width: 320px;
}

.card-btn-middle {
    top: 50%;
    left: 50%;
    font-weight: 600;
    padding: 16px 48px;
    font-size: 16px;
    background-color: #9e00d328;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 999;
    border: none;
    transform-origin: 0 0;
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0);
    transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
    color: #f0e5d8;
}

.buttonCon {
    position: relative;
    padding: 3px;
    background: linear-gradient(90deg, #ff00f78e, #f441a672);
    border-radius: 0.9em;
    transition: all 0.4s ease;
    border-radius: 50px;
}

.buttonCon::before {
    content: "";
    position: absolute;
    inset: 0;
    margin: auto;
    border-radius: 0.9em;
    z-index: -10;
    filter: blur(0);
    transition: filter 0.4s ease;
}

.buttonCon:hover::before {
    background: linear-gradient(90deg, #ff00f78e, #f441a672);
    filter: blur(1.2em);
}

.buttonCon:active::before {
    filter: blur(0.2em);
}

.last-p{
    font-size: 5vw;
    padding: 100px;
}
.middle-p{
    font-size: 1.3vw;
}

.maincard-p{
    font-size: 1.2vw;
}




/* Fade-in Animation */
@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Footer */
.footer {
    background-color: rgba(0, 0, 0, 0.20);
    padding: 20px;
    text-align: center;
    color: #f0e5d8;
    font-size: 16px;
}

.social-media {
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

.footer a {
    color: #03c6fc;
    text-decoration: none;
}

.footer p {
    font-size: 1.1em;
}

.footer a:hover {
    text-decoration: underline;
}

.footer-nav{
    text-decoration: none;
    display: flex
;
    flex-direction: row;
    gap: 10px;
    justify-content: center;
    align-items: center;
    align-content: center;
    flex-wrap: nowrap;
}

/* Mobile Responsiveness */


@media (max-width: 1025px) {
    .tname {
        padding-right: 100px;
    }
    #Humans{
        margin: 20px;
    }

}
@media (max-width: 768px) {
    .input-section input {
        width: 90%;
    }

    .results-table {
        width: 100%;
    }

    .navbar {
        flex-direction: column;
    }

    .navbar a {
        font-size: 1.4em;
    }

    .header p {
        padding-top: 10%;
        text-align: center;
        font-size: 1em;
    }

    .input-section {
        padding: 40px;
    }

    .token-details h2 {
        font-size: 2em;
    }

    .token-details p {
        font-size: 0.8em;
    }

    .results-table th,
    .results-table td {
        font-size: 11px;
    }

    .div1 {
        overflow-x: scroll;
    }

    th:nth-child(1),
    th:nth-child(2) {
        background-color: rgb(0, 69, 88);
    }

    td:nth-child(1),
    td:nth-child(2) {
        background-color: rgb(50, 48, 48);

    }

    td img {
        width: 20px;
        margin-right: 10px;
        vertical-align: middle;
    }

    .tname {
        padding-right: 70px;
    }

    #Humans{
        margin: 0px;
    }
    .card-btn-middle{
        padding: 5px;
        font-size: 12px;
    }
    .middle p{
        padding: 2rem 0;
    }
}
